## python-sockjs-tornado 1.0.0

=== Makefile ===
PYTHON=python

#### General

all:
	$(PYTHON) setup.py build

clean:
	rm -rf venv
	find . -name \*.pyc | xargs --no-run-if-empty rm

#### Dependencies

test_deps: venv/.test_deps

venv:
	virtualenv venv
	-rm distribute-*.tar.gz || true

venv/.test_deps: venv
	./venv/bin/pip install tornado
	touch venv/.test_deps

#### Development

test_server: test_deps
	PYTHONPATH=$(PWD) ./venv/bin/python examples/test/test.py

=== requirements.txt ===
Tornado>=2.1.1

=== debian/changelog ===
python-sockjs-tornado (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #721831).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 22:09:02 +0800

=== debian/control ===
Source: python-sockjs-tornado
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-httplib2
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-sockjs-tornado.git
Vcs-Git: git://anonscm.debian.org/openstack/python-sockjs-tornado.git
Homepage: https://github.com/mrjoes/sockjs-tornado

Package: python-sockjs-tornado
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-tornado,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: server side counterpart of SockJS-client browser library - Python 2.x
 SockJS-tornado is a Python server side counterpart of SockJS-client browser
 library running on top of Tornado framework. SockJS provides slightly
 different API than tornado.websocket.
 .
 This package provides the Python 2.x module.

Package: python3-sockjs-tornado
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-tornado,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Description: server side counterpart of SockJS-client browser library - Python 3.x
 SockJS-tornado is a Python server side counterpart of SockJS-client browser
 library running on top of Tornado framework. SockJS provides slightly
 different API than tornado.websocket.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/mrjoes/sockjs-tornado.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-sockjs-tornado; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-sockjs-tornado; \
	done

## python-sockjs-tornado 1.0.3

=== debian/changelog ===
python-sockjs-tornado (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release (Closes: #807035).
  * Standards-Version: 3.9.8 (no change).
  * Removed pre-depends on dpkg.
  * Added dh-python as build-depends.
  * Removed non-active maintainers.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 May 2016 13:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,22 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-setuptools,
                python3-all,
                python3-setuptools
 Build-Depends-Indep: python-httplib2
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-sockjs-tornado.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-sockjs-tornado.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-sockjs-tornado.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-sockjs-tornado.git
 Homepage: https://github.com/mrjoes/sockjs-tornado
 
 Package: python-sockjs-tornado
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-tornado,
          ${misc:Depends},
          ${python:Depends}
@@ -33,7 +31,6 @@
 
 Package: python3-sockjs-tornado
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python3-tornado,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/mrjoes/sockjs-tornado.git
+UPSTREAM_GIT := https://github.com/mrjoes/sockjs-tornado.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

=== debian/watch ===
version=3
https://github.com/mrjoes/sockjs-tornado/tags .*/v(\d[\d\.]+)\.tar\.gz
